<?php

class Quivers_Integration_Model_ProductSaveObserver {

	/**
	 * Flag to stop observer executing more than once
	 *
	 * @var static bool
	 */
	static protected $_singletonFlag = false;


	public function saveQuiversData($observer) {
		Mage::log("saving Quivers Data");
		if (self::$_singletonFlag) {
			return $this;
		}
		self::$_singletonFlag = true;
		$product = $observer->getEvent()->getProduct();
        try {
        	$productData = $this->_getRequest()->getPost('product');
        	if(array_key_exists('quivers_claiming_group', $productData)) {
        		$claimingGroup = $productData['quivers_claiming_group'];
        		$product->setQuiversClaimingGroup($claimingGroup); 
        	}
            if(array_key_exists('product_tax_category', $productData)) {
                $productTaxCategory = $productData['product_tax_category'];
                $product->setProductTaxCategory($productTaxCategory); 
            }
            $product->save();
        }
        catch (Exception $e) {
            Mage::getSingleton('adminhtml/session')->addError($e->getMessage());
        }
        $_singletonFlag = false;
        return $this;
    }

    protected function _getRequest()
    {
        return Mage::app()->getRequest();
    }

    public function getProduct()
	{
		return Mage::registry('product');
	}
}
